Bug 241840 - www/firefox: update to 71.0 (phase: Beta, ETA: 2019-12-03)
Summary: www/firefox: update to 71.0 (phase: Beta, ETA: 2019-12-03)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 240440
Blocks: 242605
  Show dependency treegraph
 
Reported: 2019-11-09 19:45 UTC by Jan Beich
Modified: 2019-12-12 14:49 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-11-09 19:45:40 UTC
See review D22296 for the patch.
Comment 1 commit-hook freebsd_committer 2019-11-26 01:02:08 UTC
A commit references this bug:

Author: jbeich
Date: Tue Nov 26 01:01:20 UTC 2019
New revision: 518439
URL: https://svnweb.freebsd.org/changeset/ports/518439

Log:
  www/firefox: update to 71.0

  Changes:	https://www.mozilla.org/firefox/71.0/releasenotes/
  PR:		241840
  Security:	13b6433c-7aaf-477b-b96b-164924a005bb
  MFH:		2019Q4
  Differential Revision:	https://reviews.freebsd.org/D22296

Changes:
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-Makefile.in
  head/www/firefox/files/patch-bindgen-rust1390
  head/www/firefox/files/patch-bug847568
  head/www/firefox/files/patch-cubeb-dlopen
Comment 2 VVD 2019-11-26 19:13:04 UTC
Build fails on 12.1 amd64, but work fine on 12.1 i386:

note: std::ptr::NonNull<values::generics::transform::GenericTransformOperation<values::computed::angle::Angle, f32, values::computed::length::CSSPixelLength, i32, values::computed::length::LengthPercentage>> must be non-null (in this struct field)
     --> /tmp/work/usr/ports/www/firefox/work/firefox-71.0/servo/components/style_traits/owned_slice.rs:30:5
      |
30    |     ptr: NonNull<T>,
      |     ^^^^^^^^^^^^^^^

error: could not compile `webrender`.

Caused by:
  process didn't exit successfully: `LD_LIBRARY_PATH='/tmp/work/usr/ports/www/firefox/work/.build/release/deps:/usr/local/lib' CARGO_PKG_DESCRIPTION='A GPU accelerated 2D renderer for web content' CARGO_PKG_REPOSITORY='https://github.com/servo/webrender' CARGO_PKG_NAME=webrender OUT_DIR=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/build/webrender-aa808953176cf572/out CARGO_PKG_VERSION_MINOR=60 CARGO_PKG_VERSION_PATCH=0 CARGO_MANIFEST_DIR=/tmp/work/usr/ports/www/firefox/work/firefox-71.0/gfx/wr/webrender CARGO=/usr/local/bin/cargo CARGO_PKG_VERSION_MAJOR=0 CARGO_PKG_HOMEPAGE= CARGO_PKG_VERSION=0.60.0 CARGO_PKG_AUTHORS='Glenn Watson <gw@intuitionlibrary.com>' CARGO_PKG_VERSION_PRE= /usr/local/bin/rustc --edition=2018 --crate-name webrender gfx/wr/webrender/src/lib.rs --error-format=json --json=diagnostic-rendered-ansi,artifacts --crate-type lib --emit=dep-info,metadata,link -C opt-level=2 -C panic=abort -C codegen-units=1 --cfg 'feature="capture"' --cfg 'feature="ron"' --cfg 'feature="serde"' --cfg 'feature="serialize_program"' -C metadata=ef601d48ec13eb42 -C extra-filename=-ef601d48ec13eb42 --out-dir /tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps --target x86_64-unknown-freebsd -C linker=/tmp/work/usr/ports/www/firefox/work/firefox-71.0/build/cargo-linker -L dependency=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps -L dependency=/tmp/work/usr/ports/www/firefox/work/.build/release/deps --extern bincode=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libbincode-326c38912e3296f6.rmeta --extern bitflags=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libbitflags-e07953515be10492.rmeta --extern byteorder=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libbyteorder-1be674f7f562fa61.rmeta --extern cfg_if=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libcfg_if-c2c838235a12acd4.rmeta --extern cstr=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libcstr-894137b14bdd43e4.rmeta --extern euclid=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libeuclid-2db76720b4d1aadc.rmeta --extern freetype=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libfreetype-09d30fa42ae651cc.rmeta --extern fxhash=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libfxhash-2096af538801112b.rmeta --extern gleam=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libgleam-c4612a79bf03c3d1.rmeta --extern lazy_static=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/liblazy_static-b8d4c28541814e96.rmeta --extern libc=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/liblibc-d5a5aa7fae78fa79.rmeta --extern log=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/liblog-4865feeb72e04a6a.rmeta --extern malloc_size_of_derive=/tmp/work/usr/ports/www/firefox/work/.build/release/deps/libmalloc_size_of_derive-013adedbdf40103f.so --extern num_traits=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libnum_traits-2aebf9f08657dd59.rmeta --extern plane_split=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libplane_split-fb4ad15959d60fb0.rmeta --extern rayon=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/librayon-6e06bb94ae4e5802.rmeta --extern ron=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libron-1009b9297bcac0ab.rmeta --extern serde=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libserde-e4cd3e09c573afb8.rmeta --extern sha2=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libsha2-c2fc26acde21b8c2.rmeta --extern smallvec=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libsmallvec-469f20f7ff13bff8.rmeta --extern svg_fmt=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libsvg_fmt-7a7962ae4af678cc.rmeta --extern thread_profiler=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libthread_profiler-7d986da438f86b05.rmeta --extern time=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libtime-55ed4f46d3cf64f7.rmeta --extern api=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libwebrender_api-0a7943071e3ce86e.rmeta --extern webrender_build=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libwebrender_build-5e1400612cd60e78.rmeta --extern malloc_size_of=/tmp/work/usr/ports/www/firefox/work/.build/x86_64-unknown-freebsd/release/deps/libwr_malloc_size_of-19935333d78c70e2.rmeta -C opt-level=2 --cap-lints warn -C target-cpu=core2` (signal: 9, SIGKILL: kill)
warning: build failed, waiting for other jobs to finish...
error: build failed
gmake[5]: *** [/tmp/work/usr/ports/www/firefox/work/firefox-71.0/config/makefiles/rust.mk:260: force-cargo-library-build] Ошибка 101
gmake[5]: выход из каталога «/tmp/work/usr/ports/www/firefox/work/.build/toolkit/library/rust»
gmake[4]: *** [/tmp/work/usr/ports/www/firefox/work/firefox-71.0/config/recurse.mk:74: toolkit/library/rust/target] Ошибка 2
gmake[4]: выход из каталога «/tmp/work/usr/ports/www/firefox/work/.build»
gmake[3]: *** [/tmp/work/usr/ports/www/firefox/work/firefox-71.0/config/recurse.mk:34: compile] Ошибка 2
gmake[3]: выход из каталога «/tmp/work/usr/ports/www/firefox/work/.build»
gmake[2]: *** [/tmp/work/usr/ports/www/firefox/work/firefox-71.0/config/rules.mk:389: all] Ошибка 2
gmake[2]: выход из каталога «/tmp/work/usr/ports/www/firefox/work/.build»
*** Error code 1
Comment 3 VVD 2019-11-26 19:15:05 UTC
Possible out of memory. Will test now.
Comment 4 VVD 2019-11-29 20:50:52 UTC
(In reply to VVD from comment #3)
Yes, this was out of memory. Plz, ignore my messages here.
Comment 5 commit-hook freebsd_committer 2019-12-02 18:10:22 UTC
A commit references this bug:

Author: jbeich
Date: Mon Dec  2 18:09:55 UTC 2019
New revision: 518860
URL: https://svnweb.freebsd.org/changeset/ports/518860

Log:
  MFH: r518439 r518660 r518854

  www/firefox: update to 71.0

  Changes:	https://www.mozilla.org/firefox/71.0/releasenotes/
  PR:		241840
  Security:	13b6433c-7aaf-477b-b96b-164924a005bb
  Approved by:	ports-secteam (joneum)
  Differential Revision:	https://reviews.freebsd.org/D22296

Changes:
_U  branches/2019Q4/
  branches/2019Q4/Mk/bsd.gecko.mk
  branches/2019Q4/www/firefox/Makefile
  branches/2019Q4/www/firefox/distinfo
  branches/2019Q4/www/firefox/files/patch-Makefile.in
  branches/2019Q4/www/firefox/files/patch-bug847568
  branches/2019Q4/www/firefox/files/patch-cubeb-dlopen